Bug 988800 - cannot access postgres 9.2 internal statistics
cannot access postgres 9.2 internal statistics
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.8
x86_64 Linux
unspecified Severity high (vote)
: ---
: RHQ 4.11
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks: 1073990
  Show dependency treegraph
 
Reported: 2013-07-26 08:37 EDT by Heidrich Attila
Modified: 2014-07-21 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1073990 (view as bug list)
Environment:
Last Closed: 2014-07-21 06:13:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heidrich Attila 2013-07-26 08:37:31 EDT
Description of problem:
postgres statistics cannot be retrieved from 9.2 server.

Version-Release number of selected component (if applicable):
RHQ is 4.8 "factory" version, no elements has been changed over the distribution

How reproducible:
just use the postgresql server plugin

Steps to Reproduce:
1. inventory a postgres server (server version should be 9.2)
2. look at the metrics
3. say "wow!"

Actual results:
any data but "active backend" results "no-data" or something unusable (1119% for the CPU usage and 99GB for Virtual memory usage)

Expected results:
pls look at the attached screenshot

Additional info:

http://wiki.postgresql.org/wiki/What's_new_in_PostgreSQL_9.2#pg_stat_activity_and_pg_stat_replication.27s_definitions_have_changed

org.postgresql.util.PSQLException: ERROR: column "current_query" does not exist
  Position: 41
	at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2157)
	at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1886)
	at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:255)
	at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:555)
	at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:403)
	at org.postgresql.jdbc2.AbstractJdbc2Statement.executeQuery(AbstractJdbc2Statement.java:283)
	at org.rhq.plugins.postgres.PostgresServerComponent.invokeOperation(PostgresServerComponent.java:361)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:606)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
	at java.lang.Thread.run(Thread.java:724)
Comment 1 Thomas Segismont 2014-04-04 04:19:39 EDT
(In reply to Heidrich Attila from comment #0)

> pls look at the attached screenshot

Can you actually attach the screenshot?

> org.postgresql.util.PSQLException: ERROR: column "current_query" does not
> exist
>   Position: 41
> 	at
> org.postgresql.core.v3.QueryExecutorImpl.
> receiveErrorResponse(QueryExecutorImpl.java:2157)
> 	at
> org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.
> java:1886)
> 	at
> org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:255)
> 	at
> org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.
> java:555)
> 	at
> org.postgresql.jdbc2.AbstractJdbc2Statement.
> executeWithFlags(AbstractJdbc2Statement.java:403)
> 	at
> org.postgresql.jdbc2.AbstractJdbc2Statement.
> executeQuery(AbstractJdbc2Statement.java:283)
> 	at
> org.rhq.plugins.postgres.PostgresServerComponent.
> invokeOperation(PostgresServerComponent.java:361)
> 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> 	at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
> 	at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.
> java:43)
> 	at java.lang.reflect.Method.invoke(Method.java:606)
> 	at
> org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.
> call(ResourceContainer.java:634)
> 	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
> 	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
> 	at
> java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:
> 1145)
> 	at
> java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:
> 615)
> 	at java.lang.Thread.run(Thread.java:724)


This stacktrace is the result of the "List Process Statistics" operation invocation. This problem is tracked by Bug 1079361 and is fixed in master (see https://bugzilla.redhat.com/show_bug.cgi?id=1079361#c1)
Comment 2 Thomas Segismont 2014-05-07 10:31:07 EDT
Fixed in master master (see Bug 1079361 Comment 1)
Comment 3 Heiko W. Rupp 2014-07-21 06:13:29 EDT
Bulk closing of RHQ 4.11 issues, now that RHQ 4.12 is out.

If you find an issue with those, please open a new BZ, linking to the old one.

Note You need to log in before you can comment on or make changes to this bug.